#include <stdio.h>

#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#include <unistd.h>
#include <string.h>

int main () 
{
  int s;
  struct sockaddr_in sin;

  if ( (s = socket (PF_INET, SOCK_STREAM, 0)) < 0) {
    fprintf (stderr, "Error \n");
    return 1;
  }

  bzero ((void *) &sin, sizeof (sin));

  sin.sin_family = AF_INET;
  inet_aton ("127.0.0.1", &(sin.sin_addr));
  //inet_aton ("0.0.0.0", &(sin.sin_addr));
  //sin.sin_port = htons ( (u_short) 1021);
  sin.sin_port = htons ( (u_short) 1025);

  if ( (connect (s, (struct sockaddr *)&sin, sizeof (sin) )) == 0) {
    fprintf (stdout, "connect to %s [%d]\n", inet_ntoa (sin.sin_addr), ntohs (sin.sin_port) );
  }
  else
    fprintf (stderr, "no connection\n");

  close (s);

  return 0;
}
